import argparse
from .evaluation import prediction

def main():
    parser = argparse.ArgumentParser(description="scAgeClock CLI tools")
    parser.add_argument("--model_file",help="model file (eg: .pth file generated by scAgeClock GMA)")
    parser.add_argument("--testing_h5ad_files_dir",help="directory path to the .h5ad files used for model prediction (format should be matched with scAgeClock requirements)")
    parser.add_argument("--output_file",help="output file with predicted results")
    args = parser.parse_args()
    results_df = prediction(model_file=args.model_file,
                            h5ad_dir=args.testing_h5ad_files_dir,
                            output_file=args.output_file)
    return True